%global commit fde6c13718dd98ca50a9e3378f972706035b57c6
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global srcname filelock
%global sum A platform independent file lock

Name:           python-%{srcname}
Version:        2.0.6
Release:        1%{?dist}
Summary:        %{sum}

Group:          Development/Libraries
License:        Unlicense
URL:            https://github.com/benediktschmitt/py-%{srcname}
Source0:        https://github.com/benediktschmitt/py-%{srcname}/archive/%{commit}.tar.gz#/%{srcname}-%{shortcommit}.tar.gz

BuildArch:      noarch

%description
This package contains a single module, which implements a platform independent
file locking mechanism for Python.

The lock includes a lock counter and is thread safe. This means, when locking
the same lock object twice, it will not block.

%package doc
Summary:        Documentation for %{srcname}, %{sum}
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme

%description doc
Documentation for %{srcname}, %{sum}

%package -n python2-%{srcname}
Summary:        %{sum}
BuildRequires:  python2-devel
%{?python_provide:%python_provide python2-%{srcname}}
Recommends:     %{name}-doc

%description -n python2-%{srcname}
This package contains a single module, which implements a platform independent
file locking mechanism for Python.

The lock includes a lock counter and is thread safe. This means, when locking
the same lock object twice, it will not block.

%package -n python3-%{srcname}
Summary:        %{sum}
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}
Recommends:     %{name}-doc

%description -n python3-%{srcname}
This package contains a single module, which implements a platform independent
file locking mechanism for Python.

The lock includes a lock counter and is thread safe. This means, when locking
the same lock object twice, it will not block.

%prep
%autosetup -n py-%{srcname}-%{commit}

sed -i '1{\@^#!/usr/bin/python@d}' %{srcname}.py

%build
%py2_build
%py3_build

make -C docs html man
rm docs/build/html/.buildinfo

%install
%py2_install
%py3_install

install -p -m0644 -D docs/build/man/py-%{srcname}.1 %{buildroot}%{_mandir}/man1/py-%{srcname}.1
rm %{buildroot}%{_prefix}/LICENSE.rst %{buildroot}%{_prefix}/README.rst

%check
%{__python2} test.py
%{__python3} test.py

%files doc
%doc docs/build/html
%license LICENSE.rst

%files -n python2-%{srcname}
%doc README.rst
%license LICENSE.rst
%{_mandir}/man1/py-%{srcname}.1.gz
%{python2_sitelib}/%{srcname}.{py,pyc,pyo}
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE.rst
%{_mandir}/man1/py-%{srcname}.1.gz
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%{python3_sitelib}/__pycache__/%{srcname}*.{pyc,pyo}

%changelog
* Sun May 01 2016 Scott K Logan <logans@cottsay.net> - 2.0.6-1
- Initial package
